## viewmol 2.3

=== babel/Makefile ===
CFLAGS        = -O2 -mips2

LIBFLAGS      = -O -DLIBRARY 

CC	      = cc

PROGRAM	      = babel

LDFLAGS	      =

LIBS	      =

LINKER	      = $(CC)

MAKEFILE      = Makefile

OBJS	      = addh.o \
		addh2.o \
		aromatic.o \
		assbnd.o \
		asstypes.o \
		block.o \
		bndord.o \
		bo.o \
		buildct.o \
		combine.o \
		convert.o \
		delatms.o \
		delh2o.o \
		filesrch.o \
		fileutil.o \
		gastchg.o \
		htoend.o \
		int2cart.o \
		intcart.o \
		menus.o \
		miniums.o \
		molwt.o \
		nodummy.o \
		orient.o \
		precip.o \
		printbad.o \
		progress.o \
		rdalch.o \
		rdampout.o \
		rdbalst.o \
		rdbgf.o \
		rdboogie.o \
		rdc3d.o \
		rdcacao.o \
		rdcadpac.o \
		rdcharmm.o \
		rdcsd.o \
		rddock.o \
		rddpdb.o \
		rdelmnts.o \
		rdfdat.o \
		rdfeat.o \
		rdfract.o \
		rdg96.o \
		rdgamout.o \
		rdgauout.o \
		rdgzmat.o \
		rdhin.o \
		rdinsite.o \
		rdint.o \
		rdirc.o \
		rdisis.o \
		rdm3d.o \
		rdmacmod.o \
		rdmacmol.o \
		rdmdl.o \
		rdmicro.o \
		rdmm2.o \
		rdmm2in.o \
		rdmm3.o \
		rdmolen.o \
		rdmopac.o \
		rdmopcrt.o \
		rdpcmod.o \
		rdpdb.o \
		rdprep.o \
		rdpsgout.o \
		rdpsgvin.o \
		rdquanta.o \
		rdschak.o \
		rdshelx.o \
		rdsmiles.o \
		rdspart.o \
		rdspmm.o \
		rdspsemi.o \
		rdsybmol.o \
		rdsybyl.o \
		rdtypes.o \
		rdunichm.o \
		rdvm.o \
		rdwiz.o \
		rdxed.o \
		rdxyz.o \
		renum.o \
		report.o \
		rings.o \
		ringutil.o \
		sets.o \
		smilesto.o \
		spline.o \
		strngutl.o \
		tokenst.o \
		tosmiles.o \
		tree.o \
		typbybo.o \
		umslist.o \
		utils.o \
		vectors.o \
		wralch.o \
		wrbalst.o \
		wrbgf.o \
		wrbmin.o \
		wrbox.o \
		wrc3d.o \
		wrcacao.o \
		wrcache.o \
		wrcacint.o \
		wrchdrw.o \
		wrcontmp.o \
		wrcsr.o \
		wrcssr.o \
		wrdock.o \
		wrdpdb.o \
		wrfeat.o \
		wrfh.o \
		wrg96.o \
		wrgamess.o \
		wrgau.o \
		wrgaucrt.o \
		wrhin.o \
		wricon.o \
		wrint.o \
		wrisis.o \
		wrm3d.o \
		wrmaccs.o \
		wrmacmod.o \
		wrmcmol.o \
		wrmdl.o \
		wrmicro.o \
		wrmimic.o \
		wrmiv.o \
		wrmm2.o \
		wrmm3.o \
		wrmopac.o \
		wrpcmod.o \
		wrpdb.o \
		wrpsgv.o \
		wrpsgvz.o \
		wrsmiles.o \
		wrspart.o \
		wrsybmol.o \
		wrsybyl.o \
		wrtinker.o \
		wrtorlst.o \
		wrunichm.o \
		wrvm.o \
		wrwiz.o \
		wrxed.o \
		wrxyz.o

PRINT	      = pr

SRCS	      = addh.c \
		addh2.c \
		aromatic.c \
		assbnd.c \
		asstypes.c \
		block.c \
		bndord.c \
		bo.c \
		buildct.c \
		combine.c \
		convert.c \
		delatms.c \
		delh2o.c \
		filesrch.c \
		fileutil.c \
		gastchg.c \
		htoend.c \
		int2cart.c \
		intcart.c \
		menus.c \
		miniums.c \
		molwt.c \
		nodummy.c \
		orient.c \
		precip.c \
		printbad.c \
		progress.c \
		rdalch.c \
		rdampout.c \
		rdbalst.c \
		rdbgf.c \
		rdboogie.c \
		rdc3d.c \
		rdcacao.c \
		rdcadpac.c \
		rdcharmm.c \
		rdcsd.c \
		rddock.c \
		rddpdb.c \
		rdelmnts.c \
		rdfdat.c \
		rdfeat.c \
		rdfract.c \
		rdg96.c \
		rdgamout.c \
		rdgauout.c \
		rdgzmat.c \
		rdhin.c \
		rdinsite.c \
		rdint.c \
		rdirc.c \
		rdisis.c \
		rdm3d.c \
		rdmacmod.c \
		rdmacmol.c \
		rdmdl.c \
		rdmicro.c \
		rdmm2.c \
		rdmm2in.c \
		rdmm3.c \
		rdmolen.c \
		rdmopac.c \
		rdmopcrt.c \
		rdpcmod.c \
		rdpdb.c \
		rdprep.c \
		rdpsgout.c \
		rdpsgvin.c \
		rdquanta.c \
		rdschak.c \
		rdshelx.c \
		rdsmiles.c \
		rdspart.c \
		rdspmm.c \
		rdspsemi.c \
		rdsybmol.c \
		rdsybyl.c \
		rdtypes.c \
		rdunichm.c \
		rdvm.c \
		rdwiz.c \
		rdxed.c \
		rdxyz.c \
		renum.c \
		report.c \
		rings.c \
		ringutil.c \
		sets.c \
		smilesto.c \
		spline.c \
		strngutl.c \
		tokenst.c \
		tosmiles.c \
		tree.c \
		typbybo.c \
		umslist.c \
		utils.c \
		vectors.c \
		wralch.c \
		wrbalst.c \
		wrbgf.c \
		wrbmin.c \
		wrbox.c \
		wrc3d.c \
		wrcacao.c \
		wrcache.c \
		wrcacint.c \
		wrchdrw.c \
		wrcontmp.c \
		wrcsr.c \
		wrcssr.c \
		wrdock.c \
		wrdpdb.c \
		wrfeat.c \
		wrfh.c \
		wrg96.c \
		wrgamess.c \
		wrgau.c \
		wrgaucrt.c \
		wrhin.c \
		wricon.c \
		wrint.c \
		wrisis.c \
		wrm3d.c \
		wrmaccs.c \
		wrmacmod.c \
		wrmcmol.c \
		wrmdl.c \
		wrmicro.c \
		wrmimic.c \
		wrmiv.c \
		wrmm2.c \
		wrmm3.c \
		wrmopac.c \
		wrpcmod.c \
		wrpdb.c \
		wrpsgv.c \
		wrpsgvz.c \
		wrsmiles.c \
		wrspart.c \
		wrsybmol.c \
		wrsybyl.c \
		wrtinker.c \
		wrtorlst.c \
		wrunichm.c \
		wrvm.c \
		wrwiz.c \
		wrxed.c \
		wrxyz.c

all:		$(PROGRAM)

$(PROGRAM):     $(OBJS) $(LIBS)
	$(LINKER) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROGRAM) -lm 

library:;	mv convert.o convert.tmp
		$(CC) $(LIBFLAGS) -c convert.c
		touch libbabel.a
		rm -f libbabel.a 
		ar -r libbabel.a $(OBJS)
		mv convert.tmp convert.o

dev:		$(OBJS) $(LIBS)
		$(LINKER) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROGRAM) -lm

clean:;		rm -f $(OBJS) $(PROGRAM) core libbabel.a

depend:;	mkmf -f $(MAKEFILE) PROGRAM=$(PROGRAM) DEST=$(DEST)

index:;		ctags -wx $(HDRS) $(SRCS)

install:	$(PROGRAM)
		install -s $(PROGRAM) $(DEST)

print:;		$(PRINT) $(HDRS) $(SRCS)

program:        $(PROGRAM)

tags:           $(HDRS) $(SRCS); ctags $(HDRS) $(SRCS)

update:		$(DEST)/$(PROGRAM)

$(DEST)/$(PROGRAM): $(SRCS) $(LIBS) $(HDRS) $(EXTHDRS)
		@make -f $(MAKEFILE) DEST=$(DEST) install
