=== source/Makefile ===
#*******************************************************************************
#                                                                              *
#                                   Viewmol                                    *
#                                                                              *
#                               M A K E F I L E                                *
#                                                                              *
#                 Copyright (c) Joerg-R. Hill, December 2000                   *
#                                                                              *
#*******************************************************************************
#
# $Id: Makefile,v 1.5 2000/12/10 15:36:51 jrh Exp $
# $Log: Makefile,v $
# Revision 1.5  2000/12/10 15:36:51  jrh
# Release 2.3
#
# Revision 1.4  1999/05/24 01:24:15  jrh
# Release 2.2.1
#
# Revision 1.3  1999/02/07 21:42:47  jrh
# Release 2.2
#
# Revision 1.1  1996/12/10  18:39:05  jrh
# Initial revision
#
#   Do not edit this file - to set machine specific options edit getmachine!
#
CC     = cc -c $(CFLAGS) -I$(INCLUDE) $(OPT) $(BAGGER)
CCNOP  = cc -c $(CFLAGS) -I$(INCLUDE) $(BAGGER)

OBJ = annotate.o atommodule.o balanceform.o basisform.o bondform.o \
      bondorder.o build.o calcmo.o cellform.o coledit.o confform.o \
      cylinder.o device.o distort.o draw.o drawel.o drawform.o drawop.o \
      drawsp.o elementmodule.o ellipse.o energylevelmodule.o feedback.o \
      fileselect.o getmem.o getrc.o hardcopy.o historymodule.o hpgl.o \
      inert.o infoform.o init.o input.o insint.o intern.o labelmodule.o \
      lightmodule.o makemenu.o maketics.o manual.o marcub.o matrix.o \
      messgb.o miller.o mkconn.o mkunitc.o mo.o modifygeo.o moform.o \
      moleculemodule.o mouseaction.o mousecb.o normod.o optiform.o \
      osname.o postscript.o printform.o pseform.o quaternion.o ray.o \
      raytracer.o redraw.o resource.o runprog.o runscript.o save.o \
      saveform.o specform.o spectrummodule.o TabBook.o thermo.o \
      thermoform.o viewmol.o viewmolmodule.o waveform.o \
      window.o xfont.o zoom.o $(SCANDIR)
ALLOBJ = $(OBJ) tm.o bio.o readgamess.o readgauss.o readmopac.o readpdb.o \
         readframe.o eof.o scandir.o # symmetry.o

all                 : viewmol tm bio readgamess readgauss readmopac readpdb;

annotate.o          : ../annotate.c    ../viewmol.h                    ; $(CC) ../annotate.c
atommodule.o        : ../atommodule.c  ../viewmol.h ../modules.h       ; $(CC) ../atommodule.c
balanceform.o       : ../balanceform.c ../viewmol.h                    ; $(CC) ../balanceform.c
basisform.o         : ../basisform.c   ../viewmol.h                    ; $(CC) ../basisform.c
bio.o               : ../bio.c                                         ; $(CCNOP) ../bio.c
bondform.o          : ../bondform.c    ../viewmol.h                    ; $(CC) ../bondform.c
bondorder.o         : ../bondorder.c   ../viewmol.h                    ; $(CC) ../bondorder.c
build.o             : ../build.c       ../viewmol.h ../isotopes.h      ; $(CC) ../build.c
calcmo.o            : ../calcmo.c      ../viewmol.h                    ; $(CC) ../calcmo.c
cellform.o          : ../cellform.c    ../viewmol.h ../dialog.h        ; $(CC) ../cellform.c
coledit.o           : ../coledit.c     ../viewmol.h ../dialog.h        ; $(CC) ../coledit.c
confform.o          : ../confform.c    ../viewmol.h ../dialog.h        ; $(CC) ../confform.c
cylinder.o          : ../cylinder.c                                    ; $(CC) ../cylinder.c
device.o            : ../device.c                                      ; $(CC) ../device.c
distort.o           : ../distort.c     ../viewmol.h                    ; $(CC) ../distort.c
draw.o              : ../draw.c        ../viewmol.h                    ; $(CC) ../draw.c
drawel.o            : ../drawel.c      ../viewmol.h                    ; $(CC) ../drawel.c
drawform.o          : ../drawform.c    ../viewmol.h                    ; $(CC) ../drawform.c
drawop.o            : ../drawop.c      ../viewmol.h                    ; $(CC) ../drawop.c
drawsp.o            : ../drawsp.c      ../viewmol.h                    ; $(CC) ../drawsp.c
elementmodule.o     : ../elementmodule.c ../viewmol.h ../modules.h     ; $(CC) ../elementmodule.c
ellipse.o           : ../ellipse.c                                     ; $(CC) ../ellipse.c
energylevelmodule.o : ../energylevelmodule.c ../viewmol.h ../modules.h ; $(CC) ../energylevelmodule.c
eof.o               : ../eof.c                                         ; $(CC) ../eof.c
feedback.o          : ../feedback.c    ../viewmol.h                    ; $(CC) ../feedback.c
fileselect.o        : ../fileselect.c                                  ; $(CC) ../fileselect.c
getmem.o            : ../getmem.c                                      ; $(CC) ../getmem.c
getrc.o             : ../getrc.c       ../viewmol.h ../isotopes.h      ; $(CC) ../getrc.c
hardcopy.o          : ../hardcopy.c                                    ; $(CC) ../hardcopy.c
historymodule.o     : ../historymodule.c ../viewmol.h ../modules.h     ; $(CC) ../historymodule.c
hpgl.o              : ../hpgl.c                                        ; $(CC) ../hpgl.c
inert.o             : ../inert.c       ../viewmol.h                    ; $(CC) ../inert.c
infoform.o          : ../infoform.c    ../dialog.h                     ; $(CC) ../infoform.c
init.o              : ../init.c        ../viewmol.h ../menudef.h       ; $(CC) -DINIT ../init.c
input.o             : ../input.c       ../viewmol.h                    ; $(CC) ../input.c
insint.o            : ../insint.c      ../viewmol.h                    ; $(CC) ../insint.c
intern.o            : ../intern.c      ../viewmol.h                    ; $(CC) ../intern.c
labelmodule.o       : ../labelmodule.c ../viewmol.h ../modules.h       ; $(CC) ../labelmodule.c
lightmodule.o       : ../lightmodule.c ../viewmol.h ../modules.h       ; $(CC) ../lightmodule.c
makemenu.o          : ../makemenu.c                                    ; $(CC) ../makemenu.c
maketics.o          : ../maketics.c                                    ; $(CC) ../maketics.c
manual.o            : ../manual.c      ../viewmol.h                    ; $(CC) ../manual.c
marcub.o            : ../marcub.c      ../marcub.h                     ; $(CC) ../marcub.c
matrix.o            : ../matrix.c                                      ; $(CC) ../matrix.c
messgb.o            : ../messgb.c      ../messgb.h                     ; $(CC) ../messgb.c
miller.o            : ../miller.c      ../viewmol.h                    ; $(CC) ../miller.c
mkconn.o            : ../mkconn.c      ../viewmol.h                    ; $(CC) ../mkconn.c
mkunitc.o           : ../mkunitc.c     ../viewmol.h                    ; $(CC) ../mkunitc.c
mo.o                : ../mo.c          ../viewmol.h                    ; $(CC) ../mo.c
modifygeo.o         : ../modifygeo.c   ../viewmol.h                    ; $(CC) ../modifygeo.c
moform.o            : ../moform.c      ../viewmol.h                    ; $(CC) ../moform.c
moleculemodule.o    : ../moleculemodule.c ../viewmol.h ../modules.h    ; $(CC) ../moleculemodule.c
mouseaction.o       : ../mouseaction.c ../viewmol.h                    ; $(CC) ../mouseaction.c
mousecb.o           : ../mousecb.c     ../viewmol.h                    ; $(CC) ../mousecb.c
normod.o            : ../normod.c      ../viewmol.h                    ; $(CC) ../normod.c
optiform.o          : ../optiform.c    ../viewmol.h                    ; $(CC) ../optiform.c
osname.o            : ../osname.c                                      ; $(CC) ../osname.c
postscript.o        : ../postscript.c  ../viewmol.h                    ; $(CC) ../postscript.c
printform.o         : ../printform.c   ../viewmol.h ../menu.h          ; $(CC) ../printform.c
pseform.o           : ../pseform.c     ../viewmol.h                    ; $(CC) ../pseform.c
quaternion.o        : ../quaternion.c                                  ; $(CC) ../quaternion.c
ray.o               : ../ray.c         ../viewmol.h                    ; $(CC) ../ray.c
raytracer.o         : ../raytracer.c   ../viewmol.h                    ; $(CC) ../raytracer.c
readframe.o         : ../readframe.c                                   ; $(CC) ../readframe.c
readgamess.o        : ../readgamess.c                                  ; $(CC) ../readgamess.c
readgauss.o         : ../readgauss.c   ../isotopes.h                   ; $(CC) ../readgauss.c
readmopac.o         : ../readmopac.c                                   ; $(CC) ../readmopac.c
readpdb.o           : ../readpdb.c                                     ; $(CC) ../readpdb.c
redraw.o            : ../redraw.c      ../viewmol.h                    ; $(CC) ../redraw.c
resource.o          : ../resource.c                                    ; $(CC) ../resource.c
runprog.o           : ../runprog.c                                     ; $(CC) ../runprog.c
runscript.o         : ../runscript.c   ../viewmol.h ../dialog.h        ; $(CC) ../runscript.c
save.o              : ../save.c        ../viewmol.h                    ; $(CC) ../save.c
saveform.o          : ../saveform.c    ../viewmol.h                    ; $(CC) ../saveform.c
scandir.o           : ../scandir.c                                     ; $(CC) ../scandir.c
specform.o          : ../specform.c                                    ; $(CC) ../specform.c
spectrummodule.o    : ../spectrummodule.c ../viewmol.h ../modules.h    ; $(CC) ../spectrummodule.c
TabBook.o           : ../TabBook.c                                     ; $(CC) -DMOTIF ../TabBook.c
thermo.o            : ../thermo.c      ../viewmol.h                    ; $(CC) ../thermo.c
thermoform.o        : ../thermoform.c  ../viewmol.h                    ; $(CC) ../thermoform.c
tm.o                : ../tm.c                                          ; $(CC) ../tm.c
viewmol.o           : ../viewmol.c     ../viewmol.h ../fallbacks.h     ; $(CC) ../viewmol.c
viewmolmodule.o     : ../viewmolmodule.c                               ; $(CC) ../viewmolmodule.c
waveform.o          : ../waveform.c    ../viewmol.h                    ; $(CC) ../waveform.c
window.o            : ../window.c      ../viewmol.h                    ; $(CC) ../window.c
xdnd.o              : ../xdnd.c        ../xdnd.h                       ; $(CC) ../xdnd.c
xfont.o             : ../xfont.c                                       ; $(CC) ../xfont.c
zoom.o              : ../zoom.c        ../viewmol.h                    ; $(CC) ../zoom.c

viewmol :        ; /bin/sh getmachine viewmol
viewmol_mesa:    ; /bin/sh getmachine mesa viewmol
viewmol_: $(OBJ) ; cc -o viewmol $(LDFLAGS) $(OBJ) $(LIBRARY) $(LIBS)
tm      :        ; /bin/sh getmachine tm
tm_     : tm.o readframe.o getmem.o ; cc -o tm $(LDFLAGS) tm.o readframe.o getmem.o -lm
bio     :        ; /bin/sh getmachine bio
bio_    : bio.o readframe.o getmem.o ; cc -o bio $(LDFLAGS) bio.o readframe.o getmem.o
readgamess:      ; /bin/sh getmachine readgamess
readgamess_: readgamess.o eof.o getmem.o ; cc -o readgamess $(LDFLAGS) readgamess.o eof.o getmem.o
readgauss:       ; /bin/sh getmachine readgauss
readgauss_: readgauss.o eof.o getmem.o ; cc -o readgauss $(LDFLAGS) readgauss.o eof.o getmem.o
readmopac:       ; /bin/sh getmachine readmopac
readmopac_: readmopac.o eof.o getmem.o ; cc -o readmopac $(LDFLAGS) readmopac.o eof.o getmem.o
readpdb:         ; /bin/sh getmachine readpdb
readpdb_: readpdb.o eof.o ; cc -o readpdb $(LDFLAGS) readpdb.o eof.o
tar     :        ; tar -cvf viewmol.tar `echo $(ALLOBJ) | sed "s/\.o/\.c/g"` \
                   Makefile *.h readgulp readdmol writecar writemol writetm \
                   viewmolrc getmachine checkres README* Xdefaults.* *.py \
                   `find man -type f -print | grep -v RCS` ; gzip -9 viewmol.tar; \
                   mv viewmol.tar.gz viewmol.tgz
distribution:    ; tar -cvzf viewmol.tgz `echo $(ALLOBJ) | sed "s/\.o/\.c/g"` \
