## viewmol 2.4.1

=== source/Makefile ===
--- 
+++ 
@@ -4,12 +4,15 @@
 #                                                                              *
 #                               M A K E F I L E                                *
 #                                                                              *
-#                 Copyright (c) Joerg-R. Hill, December 2000                   *
+#                 Copyright (c) Joerg-R. Hill, October 2003                    *
 #                                                                              *
 #*******************************************************************************
 #
-# $Id: Makefile,v 1.5 2000/12/10 15:36:51 jrh Exp $
+# $Id: Makefile,v 1.6 2003/11/07 12:53:50 jrh Exp $
 # $Log: Makefile,v $
+# Revision 1.6  2003/11/07 12:53:50  jrh
+# Release 2.4
+#
 # Revision 1.5  2000/12/10 15:36:51  jrh
 # Release 2.3
 #
@@ -24,8 +27,9 @@
 #
 #   Do not edit this file - to set machine specific options edit getmachine!
 #
-CC     = cc -c $(CFLAGS) -I$(INCLUDE) $(OPT) $(BAGGER)
-CCNOP  = cc -c $(CFLAGS) -I$(INCLUDE) $(BAGGER)
+BAGGER =
+CC     = $(COMPILER) -c $(CFLAGS) -I$(INCLUDE) $(OPT) $(BAGGER)
+CCNOP  = $(COMPILER) -c $(CFLAGS) -I$(INCLUDE) $(BAGGER)
 
 OBJ = annotate.o atommodule.o balanceform.o basisform.o bondform.o \
       bondorder.o build.o calcmo.o cellform.o coledit.o confform.o \
@@ -37,14 +41,14 @@
       messgb.o miller.o mkconn.o mkunitc.o mo.o modifygeo.o moform.o \
       moleculemodule.o mouseaction.o mousecb.o normod.o optiform.o \
       osname.o postscript.o printform.o pseform.o quaternion.o ray.o \
-      raytracer.o redraw.o resource.o runprog.o runscript.o save.o \
-      saveform.o specform.o spectrummodule.o TabBook.o thermo.o \
-      thermoform.o viewmol.o viewmolmodule.o waveform.o \
+      raytrace.o readgrid.o redraw.o resource.o runprog.o runscript.o \
+      save.o saveform.o shadow.o specform.o spectrummodule.o TabBook.o \
+      thermo.o thermoform.o viewmol.o viewmolmodule.o waveform.o \
       window.o xfont.o zoom.o $(SCANDIR)
 ALLOBJ = $(OBJ) tm.o bio.o readgamess.o readgauss.o readmopac.o readpdb.o \
-         readframe.o eof.o scandir.o # symmetry.o
+         readframe.o eof.o scandir.o
 
-all                 : viewmol tm bio readgamess readgauss readmopac readpdb;
+all                 : viewmol tm bio readgamess readgauss readmopac readpdb translations;
 
 annotate.o          : ../annotate.c    ../viewmol.h                    ; $(CC) ../annotate.c
 atommodule.o        : ../atommodule.c  ../viewmol.h ../modules.h       ; $(CC) ../atommodule.c
@@ -108,8 +112,9 @@
 pseform.o           : ../pseform.c     ../viewmol.h                    ; $(CC) ../pseform.c
 quaternion.o        : ../quaternion.c                                  ; $(CC) ../quaternion.c
 ray.o               : ../ray.c         ../viewmol.h                    ; $(CC) ../ray.c
-raytracer.o         : ../raytracer.c   ../viewmol.h                    ; $(CC) ../raytracer.c
+raytrace.o          : ../raytrace.c    ../viewmol.h                    ; $(CC) ../raytrace.c
 readframe.o         : ../readframe.c                                   ; $(CC) ../readframe.c
+readgrid.o          : ../readgrid.c    ../viewmol.h                    ; $(CC) ../readgrid.c
 readgamess.o        : ../readgamess.c                                  ; $(CC) ../readgamess.c
 readgauss.o         : ../readgauss.c   ../isotopes.h                   ; $(CC) ../readgauss.c
 readmopac.o         : ../readmopac.c                                   ; $(CC) ../readmopac.c
@@ -121,6 +126,7 @@
 save.o              : ../save.c        ../viewmol.h                    ; $(CC) ../save.c
 saveform.o          : ../saveform.c    ../viewmol.h                    ; $(CC) ../saveform.c
 scandir.o           : ../scandir.c                                     ; $(CC) ../scandir.c
+shadow.o            : ../shadow.c      ../viewmol.h                    ; $(CC) ../shadow.c
 specform.o          : ../specform.c                                    ; $(CC) ../specform.c
 spectrummodule.o    : ../spectrummodule.c ../viewmol.h ../modules.h    ; $(CC) ../spectrummodule.c
 TabBook.o           : ../TabBook.c                                     ; $(CC) -DMOTIF ../TabBook.c
@@ -136,23 +142,17 @@
 zoom.o              : ../zoom.c        ../viewmol.h                    ; $(CC) ../zoom.c
 
 viewmol :        ; /bin/sh getmachine viewmol
-viewmol_mesa:    ; /bin/sh getmachine mesa viewmol
-viewmol_: $(OBJ) ; cc -o viewmol $(LDFLAGS) $(OBJ) $(LIBRARY) $(LIBS)
+viewmol_: $(OBJ) ; $(COMPILER) -o viewmol $(BAGGER) $(LDFLAGS) $(OBJ) $(LIBRARY) $(LIBS)
 tm      :        ; /bin/sh getmachine tm
-tm_     : tm.o readframe.o getmem.o ; cc -o tm $(LDFLAGS) tm.o readframe.o getmem.o -lm
+tm_     : tm.o readframe.o getmem.o ; $(COMPILER) -o tm $(LDFLAGS) tm.o readframe.o getmem.o -lm
 bio     :        ; /bin/sh getmachine bio
-bio_    : bio.o readframe.o getmem.o ; cc -o bio $(LDFLAGS) bio.o readframe.o getmem.o
+bio_    : bio.o readframe.o getmem.o ; $(COMPILER) -o bio $(LDFLAGS) bio.o readframe.o getmem.o
 readgamess:      ; /bin/sh getmachine readgamess
-readgamess_: readgamess.o eof.o getmem.o ; cc -o readgamess $(LDFLAGS) readgamess.o eof.o getmem.o
+readgamess_: readgamess.o eof.o getmem.o ; $(COMPILER) -o readgamess $(LDFLAGS) readgamess.o eof.o getmem.o -lm
 readgauss:       ; /bin/sh getmachine readgauss
-readgauss_: readgauss.o eof.o getmem.o ; cc -o readgauss $(LDFLAGS) readgauss.o eof.o getmem.o
+readgauss_: readgauss.o eof.o getmem.o ; $(COMPILER) -o readgauss $(LDFLAGS) readgauss.o eof.o getmem.o
 readmopac:       ; /bin/sh getmachine readmopac
-readmopac_: readmopac.o eof.o getmem.o ; cc -o readmopac $(LDFLAGS) readmopac.o eof.o getmem.o
+readmopac_: readmopac.o eof.o getmem.o ; $(COMPILER) -o readmopac $(LDFLAGS) readmopac.o eof.o getmem.o
 readpdb:         ; /bin/sh getmachine readpdb
-readpdb_: readpdb.o eof.o ; cc -o readpdb $(LDFLAGS) readpdb.o eof.o
-tar     :        ; tar -cvf viewmol.tar `echo $(ALLOBJ) | sed "s/\.o/\.c/g"` \
-                   Makefile *.h readgulp readdmol writecar writemol writetm \
-                   viewmolrc getmachine checkres README* Xdefaults.* *.py \
-                   `find man -type f -print | grep -v RCS` ; gzip -9 viewmol.tar; \
-                   mv viewmol.tar.gz viewmol.tgz
-distribution:    ; tar -cvzf viewmol.tgz `echo $(ALLOBJ) | sed "s/\.o/\.c/g"` \
+readpdb_: readpdb.o eof.o ; $(COMPILER) -o readpdb $(LDFLAGS) readpdb.o eof.o
+translations:    ; /bin/sh makeTranslations
