=== debian/changelog ===
viewmol (2.4.1-24) unstable; urgency=medium

  * Ensure that viewmol is only built with python2.
  * Remove obsolete debian/pycompat.
  * Remove viewmol menu file, see #741573.
  * Update viewmol.desktop: remove Encoding and MiniIcon keys,
    add Keywords key, switch to higher resolution icon.
  * Use secure URI for Vcs-Git.
  * Update package description synopsis.
  * Fix spelling errors in binary, thanks Lintian.
  * Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 Aug 2016 11:32:58 +0200

viewmol (2.4.1-23) unstable; urgency=medium

  * Change maintainer to Debichem Team, add myself to uploaders
    (with Drew Parsons' blessing), update Vcs-* fields.
  * Revert pre-applying patches 011_getmachine_HURD.diff and
    150-getmachine_multiarch.patch.
  * Switch to source format 3.0 (quilt), drop d/README.source,
    d/source.lintian-overrides and Build-Depends on quilt.
  * Switch to debhelper (>= 9), Build-Depends on dh-python
    instead of python-support. Closes: #786214
  * Remove gbp.conf since debian-branch is named 'master' in new Vcs.
  * Switch to minimized dh(1).
  * Machine-readable debian/copyright.
  * Bump Standards-Version to 3.9.6, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 18 Aug 2015 18:04:52 +0200

viewmol (2.4.1-22) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Add debian/gbp.conf
  * Add Homepage and Vcs fields

  [ Graham Inggs ]
  * Pre-apply debian/patches/150-getmachine_multiarch.patch.
  * Update debian/rules: configure during the build-arch target.
    Closes: #763909

 -- Graham Inggs <graham@nerve.org.za>  Wed, 05 Nov 2014 11:59:03 +0200

viewmol (2.4.1-21) unstable; urgency=medium

  * Team upload.
  * Create executable on all architectures (Thanks for the patch to
    Graham Inggs <graham@nerve.org.za>)
    Closes: #763909

 -- Andreas Tille <tille@debian.org>  Mon, 03 Nov 2014 13:52:40 +0100

viewmol (2.4.1-20) unstable; urgency=low

  * Use dh_quilt_patch instead of the xsfbs scripts.
  * Allow viewmol to launch from the Gnome menus: 
    Remove Path=$HOME from viewmol.desktop, since Gnome cannot handle
    environment variables ($HOME). Applied to patch 110_desktop_app.diff.
    Closes: #709304.
  * Build against libmotif-dev not lesstif2-dev. Closes: #714671.
  * Don't need libxp-dev Build-Depends (Xprint is not actually used).
    Closes: #623665.
  * Lintian fixes:
      - add build-arch, build-indep to debian/rules.
      - leave binary hardening unhandled for now: viewmol has an
        inconvenient build system in the form of source/getmachine
  * Standards-Version: 3.9.4

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Sep 2013 13:20:52 +1000

viewmol (2.4.1-19) unstable; urgency=low

  * Added watch file. Thanks Daniel Leidert. Closes: #675831.

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Nov 2012 17:27:44 +1100

viewmol (2.4.1-18) unstable; urgency=low

  * Build-depends: libpng-dev not libpng12-dev.  Closes: #662535.
  * Update Build-depends: libtiff5-dev not libtiff4-dev
  * Standards-version: 3.9.3
  * In debian/rules:
    - dh_pysupport is deprecated, use dh_python2 instead
    - dh_clean -k is deprecated; use dh_prep instead

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jun 2012 12:26:36 +1000

viewmol (2.4.1-17) unstable; urgency=low

  * Pre-apply the HURD patch 011_getmachine_HURD.diff from bug#534330
    in order to allow the HURD to be recognised during debian/rules
    clean. This rule is run before patch by dpkg-buildpackage.
    (Probably not safe to set the dependency clean: patch).

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Sep 2010 11:08:49 +1000

viewmol (2.4.1-16) unstable; urgency=low

  * Patch 011_getmachine_HURD.diff lets the getmachine build script
    recognise the Hurd.  Thanks Barry deFreese. Closes: #534330.
  * Add debian/README.source to declare use of quilt patches via xsfbs.
  * Remove dh_desktop from debian/rules (deprecated now).
  * Standards-Version: 3.9.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Aug 2010 21:20:24 +1000

viewmol (2.4.1-15) unstable; urgency=low

  * Transfer to group maintainership with Debian Science.
  * Standards version: 3.8.1.
  * Build-Depends: quilt. debian/xsfbs borrowed from XSF (Xorg
    packaging) to handle quilt patches. Source patches from previous
    debian diff split into separate diffs in debian/patches:
    	   010_build_scripts.diff
	   100_locale_exception.diff
	   110_desktop_app.diff
	   120_PyObject.diff
	   130_DEFAULTPATH.diff
	   140_bin_awk.diff

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Mar 2009 16:46:00 +1100

viewmol (2.4.1-14) unstable; urgency=low

  * Add symlink from main dir /usr/lib/viewmol to docs. Closes: #478551.
  * Standards-Version: 3.8.0.
  * Specify that copyright is GPL v2.
  * Add dh_desktop to debian/rules to register mimetypes in desktop file.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Feb 2009 23:44:29 +1100

viewmol (2.4.1-13) unstable; urgency=low

  * Use PyObject_Del to deallocate PyObjects instead of PyMem_DEL.
    Thanks Barry deFreese for the patch.  Closes: #469008.
  * Don't create separate links for KDE support files in /usr/share/applnk
    anymore. These are handled generically (for all compliant Desktop
    environments including Gnome) via
    /usr/share/applications/viewmol.desktop.  Closes: #466998.
  * Update debian/viewmol.sgml and doc-base to encode Jörg-Rüdiger's
    name in UTF-8. Regenerate viewmol.1 using docbook2man.
  * Where pythonlib is defined in source/getmachine, add 
    	  | xargs echo | awk '{print $1}'
    to ensure only one path is passed to dirname.

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Mar 2008 16:02:08 +1100

viewmol (2.4.1-12) unstable; urgency=low

  * What's so special about American English?  Change en_US locale to
    just en in /usr/lib/viewmol/locale (and /usr/share/viewmol/locale)
    and use it as a fallback in setAtomColors.py. Move existing

