=== debian/watch ===
version=3
http://sf.net/viewmol/viewmol-([\d.]+)\.src\.tgz
